#
# spec file for package python-plaster
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-plaster
Version:        0.5
Release:        2.36
Summary:        A loader interface around multiple config file formats
License:        MIT
Group:          Development/Languages/Python
Url:            http://docs.pylonsproject.org/projects/plaster/en/latest
Source0:        https://files.pythonhosted.org/packages/source/p/plaster/plaster-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Plaster is a loader interface around multiple config file formats.
It exists to define a common API for applications to use when they
wish to load a configuration. The library itself does not aim to
handle anything except a basic API that applications may use to find
and load configuration settings. Any specific constraints should be
implemented in a pluggable loader which can be registered via an
entrypoint.

%prep
%setup -q -n plaster-%{version}
rm -rf src/plaster.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc
%{python_sitelib}/*

%changelog
* Fri Jul 14 2017 aloisio@gmx.com
- Initial package (0.5)
